Configuration(function(RepositoryFactory, ContextRegister, Query, ZHPromise, ScreenService) {
	var reportsRepository = RepositoryFactory.factory("/reports", "LOCAL");

	reportsRepository.removeReport = function(key, items) {
		items = Util.parseToArray(items);
		if(key && items && items.length) {
			return this.remove(Query.build().where(key).in(items));
		} else {
			ZHPromise.reject({ error: ScreenService.i18n("Invalid parameters") });
		}
	};

	ContextRegister.register('reportsRepository', reportsRepository);
});